## protobuf-latest 3.6.1.3

=== debian/changelog ===
protobuf-latest (3.6.1.3-2~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Backport of version from Buster to Stretch to allow ClamAV 1.0.x builds.
    - Rename the package to protobuf-latest to avoid changing the default in
      Stretch.
    - Downgrade debhelper compat level to 10.
    - Do not run tests to avoid backporting libg{mock,test}-dev.

 -- Lucas Kanashiro <lucas@freexian.com>  Fri, 15 Nov 2024 09:04:26 -0300

protobuf (3.6.1.3-2) unstable; urgency=medium

  * Prevent installation of non-working combination of libarcus3 and
    cura-engine (closes: #910964).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Apr 2019 22:12:03 +0000

protobuf (3.6.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Mark libprotobuf-java Multi-Arch foreign.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Dec 2018 12:45:11 +0000

protobuf (3.6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove Python 3.7 patches as applied upstream.

  [ Michael Vogt <michael.vogt@ubuntu.com> ]
  * Remove explicit #!/usr/bin/python2.4 usage (closes: #600261).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Dec 2018 16:13:58 +0000

protobuf (3.6.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 26 Nov 2018 23:23:31 +0000

protobuf (3.6.1-4) unstable; urgency=medium

  * Note that -dev package contains common proto files (closes: #842159).
  * Allow Java warnings on stderr during autopkgtest.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Oct 2018 14:33:32 +0000

protobuf (3.6.1-3) unstable; urgency=medium

  * Generate all Java source files (closes: #911404).
  * Make package linux-only (closes: #837310).
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Oct 2018 19:13:40 +0000

protobuf (3.6.1-2) unstable; urgency=medium

  * Fix linking with recent Google's C++ test framework.
  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Oct 2018 15:15:45 +0000

protobuf (3.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Builds with OpenJDK 10 (closes: #901518).
  * Library transition from libproto*16 to libproto*17 .
  * Extend Python 3.7 FTBFS fix.
  * Update Standards-Version to 4.1.5 .

  [ Michael Hudson-Doyle <michael.hudson@canonical.com> ]
  * Backport patch to fix FTBFS with Python 3.7 (closes: #902597).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 14 Aug 2018 18:22:07 +0000

protobuf (3.6.0.1-1) experimental; urgency=medium

  * New major upstream release.
  * Link with atomic on m68k, powerpcspe and sh4 architectures as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Jun 2018 14:56:51 +0000

protobuf (3.6.0~rc2-2) experimental; urgency=medium

  * Build all Ruby files (closes: #900677).
  * Explicitly link with atomic on armel, mips, mipsel and powerpc
    architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Jun 2018 15:52:16 +0000

protobuf (3.6.0~rc2-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Make Ruby build dependencies architecture dependent.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Jun 2018 13:00:39 +0000

protobuf (3.6.0~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Library transition from libproto*15 to libproto*16 .
  * Add ruby-google-protobuf package (closes: #855034).
  * Update patches.
  * Use packaged Google Test and Google Mock libraries.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 May 2018 22:00:11 +0000

protobuf (3.5.2-2) experimental; urgency=medium

  * Backport build fix for s390x architecture.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 27 Apr 2018 14:39:06 +0000

protobuf (3.5.2-1) experimental; urgency=medium

  * New upstream release (closes: #874498).
  * Library transition from libproto*10 to libproto*15 .
  * Make protobuf-compiler recommend libprotobuf-dev for basic upstream types
    (closes: #842158).
  * Take over maintainer responsibility.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Apr 2018 21:29:01 +0000

protobuf (3.0.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * Apply patch from Ubuntu to fix tests with Python 3.6.  Closes: #862805
  * Add missing Build-Depends on python-six.

  [ Helmut Grohne ]
  * Fix FTCBFS:
    + Remove unneeded versioned Build-Depends on g++ (satisfied in oldstable).
    + Remove unused Build-Depends on python-google-apputils.
    + Build-Depend on python(3)-all-dev instead of python(3)-all +
      libpython(3)-all-dev.
    + Run generate_descriptor_proto.sh on a native build before performing
      the actual cross build.
    + Save the native protoc in debian/native_protoc/ and pass it to the
      cross build via --with-protoc.
    + Set up environment variables for cross building python extensions.
    + Fix the loops used for the python(3) builds install and tests, to
      actually build for all python versions and tests them all.
    + Closes: #846343

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 16 Oct 2017 13:34:16 +0200

protobuf (3.0.0-9) unstable; urgency=medium

  * Backport upstream fix for Python 3 build failure (closes: #845686).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Nov 2016 16:11:01 +0000

protobuf (3.0.0-8) unstable; urgency=medium

  [ Zhou Mo <cdluminate@gmail.com> ]
  * Build python3-protobuf, thanks to Thomas Viehmann (closes: #836821).
  * Add the missing B-D "libgtest-dev" (closes: #836826).
  * Add "python3-six" to B-D, which is required by python3 test.

  [ Bart Martens <bartm@debian.org> ]
  * Generalize watch file.


